aboutsummaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorKay Sievers <kay.sievers@vrfy.org>2008-07-30 01:45:23 +0200
committerKay Sievers <kay.sievers@vrfy.org>2008-07-30 01:45:23 +0200
commit01618658fd82dbc5e6315b639f00e87c6fee3c54 (patch)
treedf8e628d04a81186d6d431fd3b1fa50a3d34987a /autogen.sh
parent726687ad48bdececed1e7e44387c50e009e28208 (diff)
downloadudev-01618658fd82dbc5e6315b639f00e87c6fee3c54.tar.gz
use autotools
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh57
1 files changed, 57 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 00000000..b01012eb
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,57 @@
+#!/bin/sh -e
+
+(autopoint --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have autopoint installed to generate the build system.."
+ echo
+ exit 1
+}
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have autoconf installed to generate the build system."
+ echo
+ exit 1
+}
+(libtoolize --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have libtool installed to generate the build system."
+ echo
+ exit 1
+}
+(autoheader --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have autoheader installed to generate the build system."
+ echo
+ exit 1
+}
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have automake installed to generate the build system."
+ echo
+ exit 1
+}
+
+test -f udev/udevd.c || {
+ echo "You must run this script in the top-level source directory"
+ exit 1
+}
+
+echo " aclocal: $(aclocal --version | head -1)"
+aclocal
+echo " autoconf: $(autoconf --version | head -1)"
+autoconf
+echo " libtool: $(automake --version | head -1)"
+libtoolize --force
+echo " autoheader: $(autoheader --version | head -1)"
+autoheader
+echo " automake: $(automake --version | head -1)"
+automake --add-missing
+
+if test -z "$@"; then
+ args="--prefix=/usr --exec-prefix= --sysconfdir=/etc"
+else
+ args=$@
+fi
+echo " configure: $args"
+echo
+./configure $args